SequeLink Manager Snap-in Help

The SequeLink Manager Snap-in allows you to configure and manage SequeLink services remotely from a networked client or locally from a SequeLink Server. It is supported on Windows NT/Windows 2000/Windows XP platforms only and is designed as a snap-in to the Microsoft Management Console (MMC).

© 2002 DataDirect Technologies. All rights reserved.

DataDirect, DataDirect Connect, and SequeLink are registered trademarks, and Client/Server MiddleWare, DataDirect Connect ADO, DataDirect Connect Integrator, DataDirect Connect JDBC, DataDirect Connect ODBC, DataDirect Connect OLE DB, DataDirect Connect Premium, DataDirect Reflector, and DataDirect SequeLink Integrator are trademarks of DataDirect Technologies. All other trademarks are the property of their respective owners.

Portions created by Netscape are Copyright (C) 1998-2002 Netscape Communications Corporation. All Rights Reserved.

Portions created by Eric Young are Copyright (C) 1995-2002 Eric Young. All Rights Reserved.

This product includes Xerces, developed by the Apache Software Foundation (http://www.apache.org). Copyright (C) 1999-2000 The Apache Software Foundation. All rights reserved.

This product includes Xalan, developed by the Apache Software Foundation (http://www.apache.org). Copyright (C) 1999-2000 The Apache Software Foundation. All rights reserved.

This product includes JDOM, developed by the JDOM Project (http://www.jdom.org). Copyright (C) 2000 Brett McLaughlin & Jason Hunter. All rights reserved.


Adding the SequeLink Manager Snap-in to the MMC

Before you can use the SequeLink Manager Snap-in to administer a remote SequeLink Server, you must add it to the MMC. You do not need to add the SequeLink Manager Snap-in to the MMC if you are administering a local SequeLink Server because a default .MSC file, which defines the local SequeLink Manager configuration, is installed when you install SequeLink Server. For local administration, you can simply open the .MSC file in the MMC. The default .MSC file is named sladmin53.msc and is installed in the installdir\admin directory, where installdir is your SequeLink Server installation directory (for example, \Program Files\DataDirect\slserver53\admin).

When you add the SequeLink Manager Snap-in to the MMC, you must choose a configuration option that connects you to a SequeLink Agent on the same machine or connects you to a SequeLink Agent on another machine. Once you have added the configuration to the MMC, you can save the configuration in an .MSC file.

To add the SequeLink Manager Snap-in to the MMC:

  1. Start the MMC. Select Start / Run and type mmc in the Open field; then, click OK. An MMC console window appears.

  2. From the MMC toolbar, select Console / Add/Remove Snap-in. The Add/Remove Snap-in window appears.

  3. Click the Add button. The Add Standalone Snap-in window appears.

  4. From the Available Standalone Snap-ins list, select the DataDirect SequeLink 5.3 Manager, and click the Add button. The Add SequeLink Manager window appears.

  5. Select one of the following SequeLink Manager configuration options:

  • Choose the Local Host option to configure and manage SequeLink services on the same machine.

  • Choose the Remote Host option to configure and manage SequeLink services on another machine.

  • Choose the Offline Configuration option to open the local configuration file in offline mode. You must specify the local configuration file in the Configuration File field. The local configuration file is installdir\cfg\swandm.ini where installdir is the SequeLink installation directory.

IMPORTANT: Only use this option when instructed to do so by DataDirect Technologies technical support.

Local Host Configuration

  1. On the Add SequeLink Manager window, select the Local Host option; then, click Next.

  2. The Local window appears showing the location and name of the local configuration file in the Configuration File field. The local configuration file defines SequeLink Server configuration information such as services, server data sources, and profiles.

NOTE: The default local configuration file is installdir\admin\swandm.ini where installdir is the SequeLink Server installation directory.

Click Finish. The SequeLink Manager is added to the MMC.

You can now use the SequeLink Manager to configure and manage SequeLink services on the same machine.

  3. To save the SequeLink Manager Snap-in to an MMC file (.MCS), select Console / Save from the MMC console window.

Remote Host Configuration

IMPORTANT: Before you can add the SequeLink Manager Snap-in to the MMC as a remote host configuration, make sure that the SequeLink Agent is active on the remote host.

  1. On the Add SequeLink Manager window, select the Remote Host option. Then, click Next.

  2. The Add SequeLink Manager window appears.

Perform the following actions:

  • In the Host field, type the host name of the remote server.

  • In the TCP port field, type the TCP/IP port the SequeLink Agent is listening on for connection requests. The port you specify must be the same as the one that was specified for the SequeLink Agent service when the SequeLink Server was installed; the default is 19995.

  3. Click Finish. The SequeLink Manager is added to the MMC.

You can now use the SequeLink Manager to configure and manage SequeLink services on another machine.

  3. To save the SequeLink Manager Snap-in to an MMC file (.MCS), select Console / Save from the MMC console window.

See Also:

Starting the SequeLink Manager Snap-in

Working with the SequeLink Manager Snap-in


Starting the SequeLink Manager Snap-in

Before you can use the SequeLink Manager Snap-in to administer a remote SequeLink Server, you must add the SequeLink Manager Snap-in to the MMC.

To start the SequeLink Manager Snap-in:

  1. Click Start / Run. Type mmc in the Run field, and click OK. An MMC console window appears.

  2. From the Console menu, select Console / Open. Select the SequeLink Manager console you want to start, then, click Open.

See Also:

Adding the SequeLink Manager Snap-in to the MMC

Working with the SequeLink Manager Snap-in


Working with the SequeLink Manager Snap-in

The MMC Console window, by default, is divided into two panes. The left pane shows the console tree in the Tree tab. Each node in the tree for the SequeLink Manager Snap-in represents an item in your SequeLink configuration. You can expand any node in the console tree by double-clicking that node or by single-clicking the + (plus sign) for that node.

Console tree for SequeLink Manager with Sequelink Service for Oracle selected in left pane

The Favorites tab of the left pane contains views that you have added to your list of favorites. When you select an item in the left pane, the right pane (details pane) displays information about the item you selected or shows wizards you can use to perform common tasks that affect that item. To use any wizard, click the wizard icon.

Connecting to SequeLink Agents

To view or change information about a local or remote SequeLink service, you must connect to the SequeLink Agent that services that SequeLink service. To connect to a SequeLink Agent, double-click the SequeLink Agent in the left pane. If a user name and password is required to connect to the SequeLink Agent, the SequeLink Manager will prompt you for that information. If prompted for a user name and password, enter the appropriate user name and password in the connection dialog box.

Console tree showing the available SequeLink Agents

NOTE: This window shows a remote host. A local host displays an additional wizard in the details pane, the Start/Stop the Agent wizard.

Displaying SequeLink Service Attributes

Once you are connected to a SequeLink Agent, you can view the following types of attributes:

  • Attributes of the SequeLink Agent service

  • Attributes of any SequeLink data access service (active and inactive) serviced by the SequeLink Agent

SequeLink service attributes are logically grouped into the following categories:

  • General

  • Advanced

  • Logging

  • Administration Security

  • User Security

  • Application Security

  • Environment

  • Installation parameters

  • Workarounds

To view the attributes in a specific category, expand the category by double-clicking that node or by single-clicking the + (plus sign) for that node.

Refreshing Active Information

You can refresh the active information being viewed in the SequeLink Manager Snap-in, such as active sessions or active services, by using the Refresh button on the SequeLink Manager Snap-in toolbar or by turning on the Auto refresh option for the current session.

The Auto refresh option can only be used for the Monitor node (and all its subnodes) and the SequeLink Services node. It allows you to specify an interval in seconds that the display will automatically refresh.

To turn on the Auto refresh option:

  1. Select the node you want to turn on the Auto refresh option for, and then, select View / Auto Refresh.

  2. Choose one of the following Auto refresh options:

  • Slow (refreshes every 10 seconds)

  • Normal (refreshes every 5 seconds)

  • Fast (refreshes every 2 seconds)

  • Custom (specify a refresh interval in seconds)

The Auto refresh option is turned off by default and is not saved when you save your configuration to an .MSC file. To turn off the Auto fresh option, select View / Auto Refresh.

Using the SequeLink Manager Snap-in Toolbar
Item | Description
Console menu | Commands that perform the following actions:
 | New | Creates a new console.
 | Open | Opens a console.
 | Save | Saves changes you make to the current console.
 | Save as | Saves the current console with another name.
 | Add/Remove Snap-in | Adds or removes MMC snap-ins to or from the MMC.
 | Options | Options that affect how the console can be used.
Window menu | Options that affect the console window.
Help menu | Accesses online help for the MMC.
Create a new console icon | Creates a new console.
Opens a console icon | Opens a console.
Saves changes to the MMC icon | Saves changes to the current console.
Creates a new console window icon | Creates a new window.
Action menu | Commands that perform actions that apply to the object that is selected. For example, if an active SequeLink Service is selected, the Stop command is available.
View menu | Allows you to customize how the console appears. It also allows you to turn on the Auto refresh option for the Monitor nodes and SequeLink Services nodes for the current session.
Favorites menu | Allows you to add views to your Favorites list.
Moves back to the last configurable item in console tree icon | Moves back to the last configurable item in the console tree.
Moves forward to next configurable item in console tree icon | Moves forward to the next configurable item in the console tree.
Moves up one level icon | Moves up one level in the console tree.
Shows or hides the console tree icon | Shows or hides the console tree.
 | Displays the properties of a SequeLink service.
 | Deletes an attribute when you select it while a service attribute is selected.
 | Refreshes active information in the console tree.
Accesses online help icon | Accesses online help for the MMC and the SequeLink Manager Snap-in.
 | Saves all modifications to the configuration file.
 | Discards all modifications and reverts to the original configuration file.
 | Adds a SequeLink data access service.
Saves changes to the SequeLink Manager Snap-in configuration icon | Saves changes to the SequeLink configuration.
Starts and stops SequeLink services icon | Starts or stops SequeLink services.

SHORTCUT TIP: Right-clicking on any item in the console tree displays a menu allowing you to perform the same actions that are available from the toolbar.


Starting and Stopping SequeLink Services

NOTE: You can only start and stop the SequeLink Agent locally from the SequeLink Server on which it runs.

  1. Click the Stop Service or Start Service wizard in the Details pane. You are prompted to confirm the stopping or starting of the service.

  2. Click the Yes button to stop or to start the service.


Creating a SequeLink Service

When you install SequeLink Server, at least one SequeLink SequeLink data access service is installed using default attributes for that service. Default service attributes are defined in the SequeLink service templates. Using the SequeLink Manager, you can create additional services based on any of the following SequeLink service templates:

  • [SequeLink 5.3] Agent service

  • [SequeLink 5.3] DB2 service for OS/390

  • [SequeLink 5.3] DB2 Universal Database Version 6 service

  • [SequeLink 5.3] DB2 Universal Database Version 7 service

  • [SequeLink 5.3] Informix service

  • [SequeLink 5.3] Legacy service

  • [SequeLink 5.3] Oracle 8.0 service

  • [SequeLink 5.3] Oracle 8.1 service

  • [SequeLink 5.3] Oracle 9i service

  • [SequeLink 5.3] Socket service

  • [SequeLink 5.3] SQL Server service

  • [SequeLink 5.3] Sybase service

NOTE: SequeLink Server for DB2 services must be created with the SequeLink Manager for OS/390.

In most cases, the SequeLink service templates provide a configuration for SequeLink services that can be used without any modification. Not all SequeLink service attributes are defined in the templates. You can modify the templates to fit your needs by adding and deleting attributes, and by changing the values of the attributes.

To create a SequeLink data access service:

  1. In the console tree, select the SequeLink Agent that will service the new SequeLink data access service.

  2. In the Details pane, click the Create a Service wizard. The wizard prompts you to choose the type of service to create. From the Service drop-down list, select the type of SequeLink service you want to create; then, click Next. The wizard prompts you for service information.

  3. Perform the following actions:

  • In the Service Name field, type the service name you want to use for the new SequeLink service. The service name must be unique (not used by another service).

  • In the TCP port field, type the number of the TCP/IP port on which the new SequeLink service will be listening. The port must be an available port (cannot be used by another service).

  • Click Next.

  5. The wizard prompts you to register the SequeLink service on the host machine. The default is to register the service, which makes the service information available to the operating system. This is required on Windows NT/Windows 2000/Windows XP if you want to start your service through the SequeLink Manager or the Service Control Manager.

  6. Click Finish to create the new SequeLink service.

See Also:

Starting and Stopping SequeLink Services

Deleting a SequeLink Service

Viewing Service Attributes

Changing a Service Attribute

Adding a Service Attribute

Deleting a Service Attribute

Configuring Monitoring

Configuring Event Tracing

Integrating SequeLink Monitoring with the Windows NT Performance Tool


Deleting a SequeLink Service

NOTE: Before deleting a SequeLink service, you must stop the service you want to delete.

Right-click the SequeLink service you want to delete in the left pane, and select Delete. You are prompted to confirm the deletion. Click OK to confirm. The service is deleted.

See Also:

Starting and Stopping SequeLink Services


Viewing Service Attributes

To view SequeLink service attributes, select an attribute category from the Service Settings node. The Details pane shows all attributes in that category and their current values. For example, if you select the Logging attribute category, the settings display in the Details pane.

NOTE: Only commonly used attributes are included in the configuration of a newly created SequeLink service. To configure other attributes, you must add that attribute explicitly to your SequeLink configuration.

See Also:

Changing a Service Attribute

Adding a Service Attribute

Deleting a Service Attribute

SequeLink Service Attributes


Changing a Service Attribute

  1. Right-click any SequeLink service attribute and select Properties. The properties window for that attribute appears.

For example, to change the ServiceMaxThreads attribute, right-click ServiceMaxThreads and select Properties. The ServiceMaxThreads Properties window appears.

  2. Type a new value for the attribute in the Value field, and click OK. The attribute is changed.

  3. Save the configuration.

NOTE: When you add or change a static attribute, you must restart the SequeLink service before the change takes affect. Dynamic attributes become effective after the attribute is added or changed and the configuration is saved.

See Also:

Viewing Service Attributes

SequeLink Service Attributes


Adding a Service Attribute

  1. Right-click any SequeLink service attribute category, and select New / Attribute. The New Attribute window appears.

NOTE: If you do not know the attribute category, you can right-click the Service Settings node, and select New / Attribute. In this case, the drop-down list displays all attributes.

  2. From the Attribute drop-down list, select the attribute you want to add to the service. The Type field adjusts to show the type of value that is required.

NOTE: If an attribute is already defined and only one instance of the attribute is allowed, the attribute is not displayed in the drop-down list.

  3. In the Value field, type a value for the attribute (or in some cases, select an option), and click OK. The attribute is added to the service.

  4. Save the configuration.

NOTE: When you add or change a static attribute, you must restart the SequeLink service before the change takes affect. Dynamic attributes become effective after the attribute is added or changed and the configuration is saved.

See Also:

Viewing Service Attributes

Changing a Service Attribute

Deleting a Service Attribute

SequeLink Service Attributes


Deleting a Service Attribute

  1. Right-click the SequeLink service attribute you want to delete, and select Delete.

  2. You are prompted to confirm the deletion. Click OK to confirm. The attribute is deleted from the service configuration.

  3. Save the configuration.

NOTE: When you delete a static attribute, you must restart the SequeLink service before the change takes affect. Deletion of dynamic attributes becomes effective after the attribute is deleted and the configuration is saved.

See Also:

SequeLink Service Attributes


Configuring Monitoring

SequeLink provides the following levels of monitoring for both SequeLink Agent and SequeLink data access services, listed here from highest-level to lowest-level:

  • Service monitoring monitors these activities by service:

    • Statistics of received packets and sent packets

    • Sessions started and statements opened

    • Active statements and sessions

    • Fetched rows and affected rows

    • Transactions

  • Session monitoring monitors these activities by session within a service:

    • Statistics of received packets and sent packets

    • Statements opened and active statements

    • Fetched rows and affected rows

    • Transactions

    • Information about each session, such as start time, client information (network address, data source used by the client, and type of client), native database session identification, and database user.

  • Statement monitoring monitors these activities by statement within a session:

    • Fetched rows and affected rows

    • SQL statements issued

To enable monitoring at one of the listed levels, higher-level monitoring must be enabled. For example, you cannot monitor Session information unless Service monitoring is enabled. Similarly, you cannot monitor Statement information unless both Service monitoring and Session monitoring are enabled.

On UNIX, both a monitoring and an event trace profile are enabled when you install SequeLink Server. After installation, you can create a new monitoring profile or modify an existing profile.

NOTE: You can configure only one monitoring profile for each SequeLink service.

Also, you can integrate SequeLink monitoring with the Windows Performance Monitor tool, which allows you to access monitoring information from the Windows tool.

To create a monitoring profile:

  1. Select the Profiles node for a SequeLink service (which is beneath the Configuration node). Select Action / New / Monitoring Profile. The Monitoring window appears.

For Windows NT/Windows 2000/Windows XP users: When you create a profile, the Enable Monitoring window appears before the Monitoring window if you have the Windows Performance Monitor tool installed on the same Windows server on which the SequeLink Server and SequeLink Manager Snap-In are installed.

If you want to integrate SequeLink monitoring with the Windows Performance Monitor tool, select the Enable check box. Then, click Next. The Monitoring window appears.

  2. Perform any of the following actions in the Monitoring window:

  • To enable any type of monitoring (Service Monitoring, Session Monitoring, and Statement Monitoring), select the Enable check box within the appropriate Monitoring group. Remember that to enable monitoring information at a monitoring level, you must enable the higher-level monitoring. Therefore, if you disable Service Monitoring, all lower-level monitoring information is also disabled.

  • To enable any property, select the check box beside the property.

  • To disable any types of monitoring (Service Monitoring, Session Monitoring, and Statement Monitoring), clear the Enable check box within the appropriate Monitoring group.

  • To disable any property, clear the check box beside the property.

  3. Click Next. The Enable Monitoring window appears. Click Finish in this window to add the profile.

  4. Save the configuration.

  5. Restart the SequeLink service to activate the new monitoring profile.

To change an existing monitoring profile:

  1. Select the Profiles node for a SequeLink service (beneath the Configuration node). The monitoring profile is displayed in the Details pane. Double-click the monitoring profile. The Monitoring window appears.

  2. Perform any of the following actions in the Monitoring window:

  • To enable any type of monitoring (Service Monitoring, Session Monitoring, and Statement Monitoring), select the Enable check box within the appropriate Monitoring group. Remember that to enable monitoring information at a monitoring level, you must enable the higher-level monitoring. Therefore, if you disable Service Monitoring, all lower-level monitoring information is also disabled.

  • To enable any property, select the check box beside the property.

  • To disable any types of monitoring (Service Monitoring, Session Monitoring, and Statement Monitoring), clear the Enable check box within the appropriate Monitoring group.

  • To disable any property, clear the check box beside the property.

  3. Click Next. The Enable Monitoring window appears. Click Finish in this window to add the profile.

  4. Save the configuration.

  5. Restart the SequeLink service to activate the changed monitoring profile.

See Also:

Integrating SequeLink Monitoring with the Windows NT Performance Tool


Configuring Event Tracing

Events are generated when the client application accesses data and when specific server activities occur, such as when a service starts or an error occurs. Depending on which SequeLink profiles are active, the information generated with the event is displayed as it occurs in the runtime monitor and is stored persistent in the event trace file.

By default, the event trace file is located in the installdir\tracing directory where installdir is your SequeLink Server installation directory.

On UNIX, both a monitoring and an event trace profile are enabled when you install SequeLink Server.

NOTE: You can configure only one event trace profile for each SequeLink service.

To create an event trace profile:

  1. Select the Profiles node for a SequeLink service (which is beneath the Configuration node). Select Action / New / Event Trace Profile. The Events window appears.

  2. Disable and enable events:

  • To enable a group of events, select the check box beside the appropriate group name (Service, Session, Network, Error, Statement, Transaction, or Others).

  • To enable individual events, select the check box beside the event in the scroll box on the left.

  • To disable a group of events, clear the check box beside the appropriate group name (Service, Session, Network, Error, Statement, Transaction, or Others).

  • To disable individual events, clear the check box beside the event in the scroll box on the left.

  3. Optionally, you can add a filter on any event or group of events. To add a filter, type the filter in the Filter text box. Some events have a set of attributes. You can place a filter on the attributes of an event. For example, if you want to monitor and trace only authentication events for sessions that are started by administrators, you would write the following filter for the Session Authenticated event:

${Authorization} = "administrator"

  4. Click Next. The Add Event Trace Profile window appears. Click Finish in this window to add the profile.

  5. Save the configuration.

  6. Restart the SequeLink service to activate the new event trace profile.

To change an existing event trace profile:

  1. Select the Profiles node for a SequeLink service (which is beneath the Configuration node). The existing event trace profile is displayed in the Details pane. Double-click the event trace profile. The Events window appears.

  2. Disable and enable events:

  • To enable a group of events, select the check box beside the appropriate group name (Service, Session, Network, Error, Statement, Transaction, or Others).

  • To enable individual events, select the check box beside the event in the scroll box on the left.

  • To disable a group of events, clear the check box beside the appropriate group name (Service, Session, Network, Error, Statement, Transaction, or Others).

  • To disable individual events, clear the check box beside the event in the scroll box on the left.

  3. Optionally, you can add a filter on the event or group of events. Type a filter in the Filter text box. Some events have a set of attributes. You can place a filter on the attributes of an event. For example, if you want to monitor and trace only authentication events for sessions that are started by administrators, you would write the following filter for the Session Authenticated event:

${Authorization} = "administrator"

  4. Click Next. The Add Event Trace Profile window appears. Click Finish in this window to add the profile.

  5. Save the configuration.

  6. Restart the SequeLink service to activate the new event trace profile.


Integrating SequeLink Monitoring with the Windows NT Performance Tool

Integrating Monitoring with the Windows Performance Tool

To integrate SequeLink monitoring with the Windows Performance Monitor tool, which allows you to access monitoring information from the Windows tool, you must explicitly set the required counters in the Windows registry. When the SequeLink Server installation finishes, the files SWEVPERF.INI and SWEVPERF.H appear in your temporary directory (for example, C:\temp).

To integrate SequeLink monitoring with Windows performance monitoring:

  1. Using an MS-DOS prompt, change the directory to your temporary directory.

  2. Type the following command; then, press ENTER:

lodctr swevperf.ini

  3. If you do not have an active (enabled) monitoring profile that is configured for integration with the Windows Performance Monitor tool, configure one. To activate a new monitoring profile, restart the SequeLink service for which you defined the profile.

NOTE: If you have an existing monitoring profile that is not configured for integration with the Windows Performance Monitor Tool, you must delete the existing monitoring profile and create one that is configured correctly. You cannot enable integration for an existing monitoring profile, the integration must be configured when you create the profile.

  4. Start the Windows Performance tool and select the Add to Chart menu item. In the window that appears, select the SequeLink 5.3 Services object and select the counters that you want to monitor from the Instance list box.

See Also:

Configuring Monitoring


Creating a Server Data Source

  1. Right-click the Datasource Settings node and select New / Datasource. A new server data source appears in the Details pane.

  2. When created, the new data source is an editable field. Type the name of the data source and press ENTER.

  3. Save the configuration.

When you create a server data source, the attributes for the new server data source are copied from the default data source. This default data source is created when the data access service is created.

See Also:

Deleting a Server Data Source

Renaming a Server Data Source

Viewing Server Data Source Attributes

Adding a Server Data Source Attribute

Changing the Value of a Server Data Source Attribute


Deleting a Server Data Source

  1. Right-click the server data source you want to delete, and select Delete.

  2. You are asked to confirm the deletion. To confirm, click OK. The server data source is deleted.

NOTE: You cannot delete the default data source.

  3. Save the configuration.


Renaming a Server Data Source

  1. Right-click the server data source you want to rename, and select Rename. The data source becomes an editable field. Type the name of the data source and press ENTER.

  2. Save the configuration.


Viewing Server Data Source Attributes

To view attributes for a data source, select the server data source. The available attribute categories appear in the Details pane. To view the attributes, select any attribute category. The attributes and their values appear in the Details pane.

See Also:

Adding a Server Data Source Attribute

Changing the Value of a Server Data Source Attribute

SequeLink Service Attributes


Adding a Server Data Source Attribute

  1. Right-click the data source to which you want to add an attribute, and select New / Attribute. The New Attribute window appears.

  2. In the Attribute drop-down list, select the attribute you want to add to the server data source.

  3. In the Value field, change the default value of the attribute if necessary; then, click OK. The attribute is added to the server data source.

  4. Save the configuration.

See Also:

Viewing Server Data Source Attributes

SequeLink Service Attributes


Changing the Value of a Server Data Source Attribute

When you create a server data source, the attributes of the new data source are copied from the default data source.

To change the value of a server data source attribute:

  1. Right-click the data source attribute and select Properties. The Properties window for that attribute appears.

  2. Enter a new value for the attribute in the Value field, and click OK. The attribute is changed.

  3. Save the configuration.

See Also:

Viewing Server Data Source Attributes

SequeLink Service Attributes


Killing a Session

NOTE: To view sessions for a SequeLink service, monitoring must be enabled for the service.

To kill a session:

  1. Click the Monitor / Active Sessions node of the SequeLink service. The Details pane shows a list of active sessions.

  2. Right-click the session you want to kill, and select Kill.

See Also:

Viewing Details About an Active Service

Viewing Active Sessions and Details About an Active Session


Viewing Event Tracing Information

You can view all events of a service or filter the events to view. You can also use the Find function to search for a specific event in the events that are displayed in the Details pane.

NOTE: When the service event trace is refreshed, it is possible that the displayed information may no longer be available in the event trace file because the event trace file is circular, meaning the oldest events are overwritten with the newest events. If this happens, the SequeLink Manager will display "Information not available."

To view event trace information:

  1. Click the Service Event Trace node of a service. The Details pane displays a list of all events. The list that is displayed depends on how event tracing is configured.

  2. Optionally, you can search for a specific event in the Details pane. To do this, right-click the Service Event Trace node of a service; then, select Find Event. The Find Event window appears.

  3. In this window, perform the following actions:

  • Select the type of event you want to view from the Event ID drop-down list.

  • To search down in the event list, select Down in the Direction group. To search up, select Up.

  • Optionally, you define search criteria for the event. Click Add. The New Attribute window appears. In this window, select the attribute by which you want to search from the Attribute down-down list. In the Value field, type the search criteria for the attribute. For example, if you want to search for Session Started events from a certain client host (such as ’sales1.company.com’), you would select Session Started in the Find Event window, click Add, select ClientInfo from the Attribute drop-down list, and type ’sales1.company.com’ in the Value field.

  • Click Find Next to find the next event.

  4. Optionally, you can place a filter on the search to display only specific events in the Details pane. To do this, click the Service Event Trace node of a service; then, select View / Filter. The Filter window appears.

  5. In this window, perform one of the following actions:

  • Select the events you want to view from the Events to View list. To select non-adjacent events from the list, hold down the CTRL key while selecting the events. To select adjacent events from the list, hold down the SHIFT key while selecting the events.

  • Select the types of events you want to view by selecting the appropriate Event Types check boxes. When you select an event type, the corresponding events are highlighted in the Events to View list.

  6. To view information about a specific event, right-click an event in the Details pane, and select Properties. The Event Properties window appears.

  7. Select the Attributes tab to view the attributes for that event.

See Also:

Configuring Event Tracing


Viewing Details About an Active Service

Select the Monitor node of the service for which you want details. The Details pane shows details about the active service. The level of detail that is displayed depends on how monitoring is configured.

See Also:

Configuring Monitoring


Viewing Active Sessions and Details About an Active Session

  1. Select the Monitor node of the SequeLink service for which you want to view active sessions.

  2. Select the Active sessions node. The Details pane shows all active sessions for that SequeLink service.

NOTE: Optionally, you can sort active sessions that appear in the Details pane based on session name, session type, IP address, or DBMS user. To do this, click the appropriate header category at the top of the Details pane. The active session list is sorted based on the criteria you selected.

  3. To view details about an active session, expand the Active sessions node. In the console tree in the left pane, select the session for which you want details. The Details pane displays details about that session.

See Also:

Killing a Session


SequeLink Service Attributes

This section lists the SequeLink service attributes you can set to configure and manage your SequeLink services using the SequeLink Manager tools. For each attribute, the following information is listed:

  • Valid values for the attribute

  • A description of the attribute

  • A default value (when an attribute has a default)

  • Whether the attribute is a static or dynamic attribute

NOTES:

  • Unless noted otherwise, the service attributes apply to all operating systems. Information specific to an operating system is identified as such.

  • Attributes beginning with the string "DataSource" are SequeLink data access service attributes that are associated with a server data source.

  • Static attributes require you to restart a SequeLink service when you add or change the attribute before the change becomes effective. Dynamic attributes become effective after the attribute is added or changed and the configuration is saved. Most dynamic attributes affect the behavior of a database connection; therefore, when you add or change an attribute, the new values are used for the next connection, active connections do not use the new values.

NOTE: Server data source attributes are always dynamic.

  • The meaning of the default value depends on your SequeLink Server platform.

    • On Windows NT/Windows 2000/Windows XP and UNIX, this default value is the value used when it is not overridden during the installation of the SequeLink Server. Some default values are changed when the service is created during the installation process. For example, this topic states that the default value of the ServiceEventTraceLocation attribute is an empty string; however, after the installation of the SequeLink Server, the default value is a directory beneath the installation directory.

    • On OS/390, the default values are the installation defaults.

  • When working with the SequeLink Manager for OS/390, you can access online help for each field by positioning your cursor on the field and pressing F1. The online help will indicate if the field maps to a SequeLink service attribute.

  • Some service attributes are intended for internal use or debugging use only. Do not modify these attributes unless you are instructed to do so by DataDirect Technologies technical support.

Attribute

Description

Type

DataSourceApplID

Specifies a list of application IDs the SequeLink data access service will accept. A valid application ID is an alphanumeric string with a maximum length of 128 characters.

The default is an empty string.

For more information about using application IDs to limit access to SequeLink services, refer to the SequeLink Administrator's Guide.

Dynamic

DataSourceArrayFetchMaxBytes

Specifies the number of bytes the SequeLink Server uses when doing an arrayfetch from the DBMS. The larger the size of the buffer, the more rows that SequeLink will fetch in one database fetch. This will have a positive effect on performance. However, a larger buffer increases the amount of memory that SequeLink uses.

A value of 0 disables the array fetch mechanism.

The default is 65536.

NOTE: On OS/390 and for SequeLink Legacy Server, the default is 1, which is the only valid value for this service attribute.

Dynamic

DataSourceAutoApplId

Specifies an application ID that is automatically generated by the SequeLink ODBC Client to identify the client application to the SequeLink service. A valid automatically generated application ID contains exactly 40 hexadecimal digits. Each provided value can have an optional text description. For example,

InventoryControl=aaf7798c8c66e6b3a6b1462eff442b39b7be6946

The default is an empty string.

For more information about using application IDs to limit access to SequeLink services, refer to the SequeLink Administrator's Guide.

Dynamic

DataSourceBlockFetchForUpdate

When the isolation level is Read committed and a SELECT FOR UPDATE statement is issued against some data stores, the SequeLink Client does not lock the expected row. Valid values are:

  • 0=The appropriate row will be locked. Specifying 0 will degrade the performance for SELECT FOR UPDATE statements because rows will be fetched one at a time.

  • 1=The appropriate row is not locked.

The default is 1.

For more information about this client attribute, refer to the SequeLink Developer's Reference.

Dynamic

DataSourceCurrentCatalog

Specifies the default catalog to be used when connecting to the SequeLink data access service. The valid value is a defined database catalog name.

The default is an empty string.

Dynamic

DataSourceCursorHold

Specifies the effect of transaction completion on open cursors. Valid values are:

  • 0=cursor no hold. The cursors are destroyed when the transaction is committed.

  • 1=cursor hold. The cursors are not destroyed when the transaction is committed.

For DB2 on OS/390: The service is preconfigured with a default of 1.

For Informix: The service is preconfigured with a default of 1.

All other DBMS: The default is 0.

Dynamic

DataSourceDB2CatalogOwner

Specifies the owner of the DB2 catalog. This parameter allows you to limit the meta-information that is returned by using views on the DB2 catalog.

Specify SYSIBM when making selections on the native DB2 catalog tables. Otherwise, specify a different value for the catalog owner to limit the number of tables retrieved by SequeLink. The valid value is a defined database catalog name.

The default is SYSIBM.

Dynamic

DataSourceDB2CollectionPrefix

Specifies the user-defined prefix, which can be no longer than 15 characters, for the DB2 collection that identifies where the SequeLink package resides.

Based on the isolation level (DataSourceTransactionIsolation attribute), a suffix is added to the DB2 collection name. Possible values are:

  • Read Uncommitted: CollectionPrefix_U

  • Read Committed: CollectionPrefix_S

  • Repeatable Read: CollectionPrefix_T

  • Serializable: CollectionPrefix_R

For example, if you used the default prefix SWDB2 for an uncommitted connection, the DB2 collection name would be SWDB2_U.

The default is SWDB2.

Dynamic

DataSourceDB2ConnectOptions

Specifies additional connect options to use when the SequeLink Server connects to DB2 on Windows NT/Windows 2000/Windows XP or UNIX. This string will be appended to the connect string.

The default is an empty string.

Dynamic

DataSourceDB2DBFilterList

Specifies a list of comma-separated values specifying the databases from which tables can be retrieved by a SQLTables (ODBC), getTables (JDBC), or TABLES (ADO) call. You cannot use quotes.

The default is an empty string.

Dynamic

DataSourceDB2DecimalPoint

Specifies whether the decimal point for numbers is a comma (,) or a period (.). This setting allows the data source to overwrite the DB2 installation parameter DECIMAL POINT. If no setting is specified, the DB2 installation parameter is read from the load module of DB2.

  • PERIOD=The service will use a period as the decimal point character.

  • COMMA=The service will use a comma as the decimal point character.

The default is PERIOD.

Dynamic

DataSourceDB2GraphicSupport

Specifies whether graphics are supported as character data types.

When enabled, data sent to the DBMS must be prefixed with the shift/out (SO) character and suffixed with the shift/in (SI) character. Data retrieved from the DBMS is prefixed with the SO character and suffixed with the SI character. An application can remove this prefix and suffix.

Valid values are:

  • NO=Graphic data types are not supported.

  • ASCHAR=Graphics are supported as character data types.

The default is NO.

Dynamic

DataSourceDB2MaxLobSize

Specifies the size (in bytes) that is reported for BLOB and CLOB data types, for example, in response to a SQLGetTypeInfo call (ODBC) or the equivalent OLE DB and JDBC calls.

NOTE: This attribute only applies to DB2 V6 and higher.

Valid values are from 1 to 2147483647.

The default is 2147483647.

Dynamic

DataSourceDB2ReportLobsFirst

Specifies the order which BLOB and CLOB data types are reported in, for example, in response to a SQLGetTypeInfo call (ODBC) or the equivalent OLE DB and JDBC calls.

  • FALSE=Report LONG VARCHAR and LONG VARCHAR FOR BIT DATA data types before CLOB and BLOB data types.

  • TRUE=Report CLOB and BLOB data types before LONG VARCHAR and LONG VARCHAR FOR BIT DATA data types.

The default is FALSE.

Dynamic

DataSourceDB2TranslateCount

On DB2 V6 and earlier, specifies whether the service will substitute COUNT(columnName) with COUNT(*).

  • FALSE=The service will not substitute COUNT(columnName) with COUNT(*).

  • TRUE=The service will substitute COUNT(columnName) with COUNT(*).

The default is FALSE.

Dynamic

DataSourceDescribeParam

Defers the fetching of parameter metadata until it is needed by the application.

  • Enabled=The service always requests parameter description information, even when the application does not require it. This value minimizes network traffic and should be used when parameter information is required for most statements.

  • Deferred=The service requests parameter description information from the server when the client application asks for it. Use this value when the application requests description information for a small number of statements.

  • Disabled=Parameter description requests are disabled.

The default is Enabled for all databases except Sybase, where the Service template contains Disabled.

Dynamic

DataSourceDescription

Species a general description of the server data source.

Static

DataSourceDisableWarnings

Turns on and off the filtering of generated warnings.

  • TRUE=Turns on filtering

  • FALSE=Turns off filtering

Dynamic

DataSourceEnableDescribeParam

Turns on a workaround for connections to Oracle data stores. For more information about this client attribute, refer to the SequeLink Developer's Reference.

  • 0=The option is disabled. Support is turned off for SQLDescribeParam.

  • 1=Support is turned on for SQLDescribeParam and will describe all parameters as SQL_CHAR with a precision of 999.

The default is 0.

Dynamic

DataSourceFetchNextOnly

Turns on a workaround for Visual Basic/Remote Data Objects (RDO) that circumvents a problem with FORWARD_ONLY cursors when the driver reports other values than FETCH_NEXT for SQLGetInfo(SQL_FETCH_DIRECTION).

For example, if the driver only reports FETCH_NEXT, RDO performs SQLExecDirect, SQLBindCol, and SQLExtendedFetch(NEXT). If the driver supports more than FETCH_NEXT, RDO performs SQLExecDirect, SQLExtendedFetch(NEXT), and SQLGetData. This is only valid when the rowsize is 1, but RDO uses a larger rowsize in this situation.

  • TRUE=The driver will incorrectly report that only SQL_FETCH_NEXT is supported, which satisfies RDO.

  • FALSE=The workaround is not turned on.

The default is FALSE.

Dynamic

DataSourceFetchTimeStampAsString

Specifies whether a workaround for a Microsoft Access problem with timestamps is turned on.

  • TRUE= Yes

  • FALSE= No

The default is FALSE.

Dynamic

DataSourceFixCharTrim

Turns on a workaround for applications that have a problem using SQL_CHAR data padded with spaces. The SequeLink ODBC Driver returns SQL_CHAR data padded with spaces as mandated by the ODBC specification. For more information about this client attribute, refer to the SequeLink Developer's Reference.

  • 0=The workaround is not turned on.

  • 1=Returns SQL_CHAR data that is not padded with spaces.

The default is 0.

Dynamic

DataSourceGetOutputParams

Turns on a workaround that allows you to control when output parameters of stored procedures are returned to calling applications.

The value for this service attribute should be set to the cumulative value of all chosen options added together.

The default is 7.

  • 0=The workaround is not turned on.

  • 1=Output parameters are returned after an execute.

  • 2=Output parameters are returned after a fetch is complete.

  • 4=Output parameters are returned after moreresults no more rows.

  • 7=Output parameters are returned after all of the above.

NOTE: Set GetOutputParams=3 when executing stored procedures with output parameters in RDO (Visual Basic 5 and 6).

Dynamic

DataSourceINFClientLocale

Sets the Informix CLIENT_LOCALE environment variable used by the SequeLink service.

Dynamic

DataSourceINFDbAnsiWarn

Sets the Informix DBANSIWARN environment variable used by the SequeLink service.

Dynamic

DataSourceINFDbLang

Sets the Informix DBLANG environment variable used by the SequeLink service.

Dynamic

DataSourceINFDbLocale

Sets the Informix DBLOCALE environment variable used by the SequeLink service.

Dynamic

DataSourceINFDbNls

Sets the Informix DBANSIWARN environment variable used by the SequeLink service.

Dynamic

DataSourceINFDelimldent

Sets the Informix DELIMIDENT environment variable used by the SequeLink service.

Dynamic

DataSourceINFHost

Sets the Informix INFORMIXHOST environment variable used by the SequeLink service.

Dynamic

DataSourceINFInformixDir

Sets the Informix INFORMIXDIR environment variable used by the SequeLink service.

Dynamic

DataSourceINFInformixServer

Sets the Informix INFORMIXSERVER environment variable used by the SequeLink service.

Dynamic

DataSourceINFLang

Sets the Informix LANG environment variable used by the SequeLink service.

Dynamic

DataSourceINFService

Sets the value of the Informix SERVICE network parameter used by the SequeLink service.

Dynamic

DataSourceJDBC52WorkaroundsClient1

Turns on workarounds for SequeLink 5.2.6601 or higher Clients using the SequeLink service.

NOTE: For SequeLink 5.3 Clients, use the DataSourceORANumber0IsNumeric and DataSourceMSSMapLongToDecimal attributes instead.

When this attribute is set in the configuration file, it is valid for all clients that connect to SequeLink. When you add this attribute in the connection string, it is set for that client connection only.

Refer to the SequeLink Developer’s Reference for more information about connecting using a connection string.

IMPORTANT: Each of these options has potential side effects related to its use. An option should only be used to address the specific problem for which it was designed.

  • 1= Oracle. Because Oracle describes both FLOAT columns and columns that are the result of a functions (for example, COUNT(*), SUM(...)) as NUMBER(0,0), the SequeLink Server cannot differentiate between them. SequeLink handles all of these columns as SQL data type FLOAT. If this option is enabled, the SequeLink Java Client will treat all of these columns as SQL data type NUMERIC.

  • 2=SQLServer 7. According to the JDBC specification, the method setLong should be mapped to the SQL type BIGINT. Because SQLServer 7 does not support the SQL data type BIGINT, a call to setLong results in the following exception:

[DataDirect][SequeLink JDBC Driver][SQLServer]Optional feature not implemented

If this option is enabled, the SequeLink Java Client will use NUMERIC instead of BIGINT.

Dynamic

DataSourceLGCYConnectOptions

Specifies the connection string and connection options to connect to the eXadas server. This connection string is required, and has the form
DSN=data source name. The valid values for UID and PWD are provided by the client application and are appended to the connection string.

The default is an empty string.

Dynamic

DataSourceLogoffBehavior

Specifies the database action that needs to be taken when an abnormal logoff terminates a transaction. When the attribute is not set, the current transaction will be ended according to the database default logoff behavior.

Valid values are:

  • COMMIT=The current transaction will be committed.

  • ROLLBACK=The current transaction will be rolled back.

Dynamic

DataSourceLogonMethod

Specifies the data store logon method to be used to log on the data store. Valid values are:

  • DBMSLogon(DBUID,DBPWD)

  • DBMSLogon(UID,PWD)

  • OSIntegrated

For more information about configuring data source logons, refer to the SequeLink Administrator's Guide.

Dynamic

DataSourceMaxCpuAction

Specifies the action to be taken when DataSourceMaxCpuTime is exceeded. Valid values are:

  • LOG=Message VAIS208I is written to VAILOG.

  • ABORT=The connection will be aborted.

The default is LOG.

Dynamic

DataSourceMaxCpuTime

Specifies (in seconds) the total amount of CPU time that the connection is allowed to consume. If unspecified or set to zero (0), the service is not monitored for exceeding total CPU time. Valid values are:

  • 0=Service is not monitored for exceeding total CPU time.

  • CPU time_in_seconds=The number of seconds the connection is allowed to consume.

The default is 0.

Dynamic

DataSourceMSSBindAllLOBs

Specifies which columns will be buffered. Valid values are:

  • True=The SequeLink Server buffers all columns in the result set.

  • False=The SequeLink Server for Microsoft SQL Server does not buffer large object columns that are at the end of a result set. Instead, it uses SQLGetData to get the CLOB/BLOB data as it is requested by the client, which saves memory on the server.

The default is False.

Dynamic

DataSourceMSSConnectOptions

Specifies additional connect options to use when the SequeLink Server connects to Microsoft SQL Server. This string will be appended to the connect string.

You can use this option to connect to a non-default SQL Server instance located on another machine. For example, set DataSourceMSSConnectOptions to Server=Belg-John\MSSS2000 to connect to the SQL Server instance named MSSS2000 on the machine Belg-John.

The default is an empty string.

Dynamic

DataSourceMSSCursorType

Specifies the type of cursor the SequeLink Server will use. Valid values are:

  • Serverside= allows multiple concurrent statements (and cursors) to be active at the same time for each connection.

  • Serverside-Preserve= serverside cursors that stay open and positioned when a transaction is committed.

  • Clientside= allows only one active statement/cursor for each connection.

The default is Serverside.

Dynamic

DataSourceMSSCursorWarnings

Microsoft SQL Server sometimes has problems opening serverside cursors for select or stored procedure result sets. This setting masks the warning issued by Microsoft SQL Server each time it encounters this problem. Valid values are:

  • True= The warning is not masked from the client application.

  • False= The warning is masked from the client application.

The default is False.

Dynamic

DataSourceMSSMapLongToDecimal

Specifies whether the SequeLink Java Client uses NUMERIC data type instead of BIGINT data type. Because SQL Server 7 does not support the SQL data type BIGINT, a call to setLong results in an exception. Valid values are:

  • 0=The SequeLink Java Client uses the BIGINT data type for a call to setLong. An exception results, indicating that an optional feature was not implemented.

  • 1=The SequeLink Java Client uses the NUMERIC data type for a call to setLong.

The default value is 0.

DataSourceMSSODBCConnStr

Specifies the connection string to be used when the SequeLink Server connects to an ODBC data source. The valid values for UID, PWD, and DB are provided by the client application and are appended to the connection string.

The default is an empty string.

Dynamic

DataSourceMSSODBCLogPath

Specifies the log path to be used for all ODBC calls executed by the SequeLink data access service. The valid value is a defined path for a log file.

Dynamic

DataSourceName

Specifies the name of the server data source.

Dynamic

DataSourceORAMapTSWTZ

Determines whether columns with a TIMESTAMP WITH TIME ZONE data type are mapped to a timestamp data type when they are retrieved from an Oracle 9i database.

  • TRUE=Columns with a TIMESTAMP WITH TIME ZONE data type are mapped to a timestamp data type when they are retrieved.

  • FALSE=An error is generated when TIMESTAMP WITH TIME ZONE columns are retrieved.

The default is FALSE.

Dynamic

DataSourceORANum0IsNumeric

Specifies how the SequeLink Java Client treats FLOAT columns and columns that are the result of a function (for example, COUNT(*), SUM(...)). Because Oracle describes both types of columns as NUMBER(0,0), the SequeLink Server cannot differentiate between them. SequeLink therefore handles these columns as SQL data type FLOAT.

NOTE: For SequeLink 5.2.6601 Clients, set the DataSourceJDBC52WorkaroundsClient1 attribute.

Valid values are:

  • 1=SequeLink treats FLOAT columns and all columns that are the result of a function as SQL data type NUMERIC.

  • 0=SequeLink treats FLOAT columns and all columns that are the result of a function as SQL data type FLOAT.

The default is 0.

DataSourceORAPublicSchemaSupp

Determines whether the Oracle schema named PUBLIC is supported in catalog statements (for example, SQLTables).

  • TRUE=Turns on support.

  • FALSE=Turns off support.

Dynamic

DataSourceORAPublicSchemaSupp

Determines whether the Oracle schema named PUBLIC is supported in catalog statements (for example, SQLTables).

  • TRUE= Turns on support

  • FALSE= Turns off support

Dynamic

DataSourceORAServiceName

Specifies the Oracle service name to which the application wants to connect. The valid value is a defined Oracle service name.

Dynamic

DataSourceORASynDBLinkObjSupp

Turns on and off support for synonyms of remote Oracle objects in Catalog statements. Valid values are:

  • TRUE= Turns on support

  • FALSE= Turns off support

The default is FALSE.

Dynamic

DataSourceProviderTypesFile

Specifies the name of the file that contains the information returned from the OLE DB ProviderTypes call by a SequeLink ADO provider data source. The file must be located in the SequeLink installation directory.

Each driver is assigned a specific section name, which is configured in the SequeLink server data source using DataSourceProviderTypesSection.

The default file is swsoc.ini.

Dynamic

DataSourceProviderTypesSection

Specifies the section within the providertypes file that will be used to retrieve OLE DB ProviderTypes information.

The default is Default.

Dynamic

DataSourceReadOnly

Controls read-only access to the SequeLink data access service. Valid values are:

  • No= All statements are allowed.

  • Select= Only Select statements are allowed.

  • Select and batches= Select statements and implicit batches are allowed.

  • DBMS= The read-only capabilities of the database are used.

NOTE: DBMS is not supported on DB2 for OS/390.

The default is No.

Dynamic

DataSourceReportLobsAsLongvar

Enables SequeLink 5.3 Java Clients to map BLOB and CLOB to LONGVARCHAR or LONGVARBINARY. This attribute is provided for backward compatibility.

  • TRUE=BLOB and CLOB are mapped to LONGVARCHAR or LONGVARBINARY, using the same mapping as SequeLink 5.2 Java Clients.

  • FALSE=LOBs and getObject on an LOB column use the default behavior for SequeLink Java Client 5.3.

The default is FALSE.

Dynamic

DataSourceSchemaFilterList

Specifies a schema name filter for SQLTables. Valid values are any defined schemas including:

  • list_of_schema_names= a comma-separated list of schemas. Only tables owned by the listed schemas are included in the result set. You can use the % or _ character as a search pattern. You cannot use quotes.

  • CURRENT SCHEMA= only tables owned by the current user are returned.

The default is an empty string.

Dynamic

DataSourceSessionToken

Specifies a setting that allows easy correlation of the SequeLink session as displayed in SequeLink monitoring/tracing tools, and the RDBMS session as it can be visualized using the RDBMS-specific monitoring/tracing tools.

Associated with each connection, the SequeLink 5.3 server creates a session token, which is exported to:

  • The SequeLink monitor tree, if a monitor profile with session monitoring enabled is active.

  • The SequeLink event trace, if an event trace profile that has been configured to trace any session-related events is active.

  • An RDBMS-specific session/connection setting, which allows an easy correlation of the SequeLink session as displayed in the SequeLink monitor, and the RDBMS session as it can be visualized using the RDBMS-specific monitoring and tracing tools.

If the length of the session token exceeds the allowed length of the DBMS field, the session token is truncated and a warning is issued.

DB2 UDB | TP Monitor client accounting string
DB2/390 | Accounting-token (in DB2 statistics and accounting trace records)
Oracle8 | view v$session:column CLIENT_INFO
Oracle9 | view v$session:column CLIENT_IDENTIFIER
SQL Server | sysprocesses.program_name
Sybase | table sysprocesses: column client_name

Valid values are a combination of static text and the following placeholders that will be replaced at runtime by the following corresponding values. For example,

Session from ${ClientInfo} connected to ${DataSourceName}

Placeholder Value | Runtime Value
${ClientApi} | One of JDBC, ODBC, ADMIN, or OLEDB
${ClientInfo} | Client IP address or host name
${ClientApplName} | Application name provided by the client application through the ApplicationName connect attribute/keyword
${DataSourceName} | Name of data source for the current session
${ServiceName} | Name of the SequeLink service for the current session
${SessionId} | SequeLink session ID
${ClientApplId} | Application ID being used for the current session
${ClientAutoApplIdDesc} | The text part of the automatic application ID is used for the current session

Dynamic

DataSourceSLKStcCrsrLngCIBuff

Specifies the amount of data (in KB) that is buffered for SQL_LONGVARCHAR and SQL_LONGVARBINARY columns with a static cursor.

The default is 4.

Dynamic

DataSourceSODBCConnStr

Specifies the connection string used by a SequeLink client application for a connection to an ODBC system data source. When the application provides the optional DBMS user name, password, and database values, the values will be appended to the values of the UID, PWD, and DB keywords provided by the client. The data source specified in the value for this attribute must be a system ODBC data source.

The default is an empty string.

Dynamic

DataSourceSybConnectOptions

Specifies additional connection options to use when the SequeLink server connects to the Sybase DBMS. This string will be appended to the connect string.

The default is an empty string.

Dynamic

DataSourceSybNetworkAddress

Specifies the Sybase network address. This string will be appended to the connect string.

The default is installation-dependent.

Dynamic

DataSourceTableTypeFilterList

Specifies a table-type filter for SQLTables.

The valid value is a comma-separated list of table types. Valid table types on this platform include:

  • ALIAS

  • GLOBAL

  • SYNONYM

  • SYSTEM TABLE

  • TABLE

  • VIEW

The default is an empty string.

Dynamic

DataSourceThreadMaxRpc

Specifies the number of connection requests that will be accepted before the thread allocated to the connection is released to the thread pool. Valid values are between 0 and 1000.

If 0 is specified, the thread is only released when the connection terminates.

The default is 10.

Dynamic

DataSourceThreadRpcTimeOut

Specifies the idle time (in milliseconds) for threads allocated to connections. Once this value is reached, the thread allocated to the connection is released to the thread pool. Valid values are between 0 and 1000000.

Specify 0 to disable the timeout mechanism.

The default is 2000.

Dynamic

DataSourceTransactionIsolation

Specifies the transaction isolation level used for the connection. Valid values are:

  • Committed=Dirty reads are not possible. Phantoms and reads that cannot be repeated are possible.

  • Uncommitted=Phantoms, dirty reads, and reads that cannot be repeated are possible.

  • RepeatableRead=Dirty reads and reads that cannot be repeated are not possible. Phantoms are possible.

  • Serializable=Transactions can be serialized. Phantoms, dirty reads, and reads that cannot be repeated are not possible.

  • Not supported=Any changes are effectively committed at the end of a successful operation. Explicit commits or rollbacks are not allowed. This value is analogous to autocommit.

NOTE: This is not a valid value on OS/390.

Refer to your database documentation for a definition of each isolation level.

For DB2 on OS/390: The default is Committed.

All other DBMS: The default is Not Supported.

Dynamic

DataSourceWorkArounds

Turns on workarounds that allow you to take full advantage of the SequeLink ODBC Driver with ODBC applications requiring nonstandard or extended behavior. For more information about this client attribute, refer to the SequeLink Developer's Reference.

IMPORTANT: Each of these options has potential side effects related to its use. An option should only be used to address the specific problem for which it was designed.

1= If an ODBC driver reports to Microsoft Access 2.0 that its SQL_CURSOR_COMMIT_BEHAVIOR or SQL_CURSOR_ROLLBACK_BEHAVIOR is 0, Microsoft Access opens tables as read-only. If this option is on, the ODBC driver returns 1, allowing Microsoft Access to open tables as read-write.

2= Some applications cannot handle database qualifiers. If this option is on, the driver reports that qualifiers are not supported.

4= Visual Basic 4.0 sometimes requires two connections to a DBMS. For DBMSs that support only a single connection, the second attempt fails. If this option is on, the driver detects when this condition occurs and has the two ODBC connections share a single physical connection to the DBMS.

8= If an ODBC driver cannot detect the number of rows affected by an Insert, Update, or Delete statement, it may return -1 in SQLRowCount. Some products cannot handle this. Turning this option on causes the driver to return 1 instead.

16= If an ODBC driver in SQLStatistics reports to Microsoft Access 1.1 that an INDEX_QUALIFIER contains a period, Microsoft Access returns a tablename is not a valid name error. If this option is on, the driver returns no INDEX_QUALIFIER, allowing Microsoft Access to open the table.

32= This option allows users of flat-file drivers to abort a long-running query by pressing the ESC key.

64= This option results in a column name of Cposition where position is the ordinal position in the result set. For example:

SELECT col1, col2+col3 FROM table1

produces the column names col1 and C2. SQLColAttributes/SQL_COLUMN_NAME returns an empty string for result columns that are expressions. Use this option for applications that cannot handle empty strings in column names.

256= Forces SQLGetInfo/SQL_ACTIVE_CONNECTIONS to be returned as 1.

512= To prevent ROWID results, this option forces the SQLSpecialColumns function to return a unique index as returned from SQLStatistics.

2048= This option results in SQLDriverConnect returning "Database='' instead of "DB='' in the returned connection string.

65536= This option strips trailing zeros from decimal results, which prevents Microsoft Access from generating an error when decimal columns containing trailing zeros are included in the unique index.

131072= This option turns all occurrences of the double quote character ("") into the accent grave character (`). Some applications always quote identifiers with double quotes. Double quoting causes problems for data sources that do not return SQLGetInfo/SQL_IDENTIFIER_QUOTE_CHAR = ".

524288= This option overrides the precision and scale settings for SQL_DECIMAL parameters to precision 40 and scale 20.

8388608= This option causes SQLGetInfo/SQL_DATABASE_NAME to be returned as an empty string when SQLGetInfo/SQL_MAX_QUALIFIER_NAME_LEN is 0. This option should be used with Inprise/Borland tools, such as Delphi.

536870912= This option allows SQLBindParameter to be called after SQLExecute to change the precision of previously bound parameters.

1073741824= Microsoft Access assumes that ORDER BY columns do not have to be in the SELECT list. This option provides a workaround for data stores that always use ORDER BY columns.

Dynamic

DataSourceWorkarounds2

Turns on workarounds that allow you to take full advantage of the SequeLink ODBC Driver with ODBC applications requiring nonstandard or extended behavior. For more information about this client attribute, refer to the SequeLink Developer's Reference.

IMPORTANT: Each of these options has potential side effects related to its use. An option should only be used to address the specific problem for which it was designed.

2= Some applications incorrectly specify the ColumnSize/DecimalDigits when binding timestamp parameters. This option causes the driver to ignore the ColumnSize/DecimalDigits specified by the application and use the database defaults instead.

4= Microsoft Access uses the most recent native type mapping, as returned by SQLGetTypeInfo, for a specific SQL type. This option reverses the order in which types are returned, so that Microsoft Access will use the most appropriate native type. This option is recommended if you are using Microsoft Access against an Oracle8 data store.

32= Microsoft Access does require that the characters "DSN=" are returned by SQLDriverConnect in the connection string output parameter.

Dynamic

MVSDataSourceDB2Plan

Specifies the DB2 plan name for the server data source. This attribute is required only when MVSGlobalAttachment=CAF.

The default is SWDB2PL.

Dynamic

MVSDB2ExitLibrary

Specifies the name of the fully qualified DB2 exit-library (without quotes) for this DB2 interface used to generate JCL. Valid values are OS/390 data set names.

NOTE: This library must be APF-authorized.

Static

MVSDB2LoadLibrary

Specifies the name of the fully qualified DB2 load-library (without quotes) for this DB2 interface used to generate JCL. Valid values are OS/390 data set names.

NOTE: This library must be APF-authorized.

Static

MVSDB2RootDescription

Specifies a general description of the DB2 interface. The valid value is a defined DB2 interface.

Static

MVSDB2SubsystemName

Specifies the subsystem ID of the DB2 address space. The valid value is a defined interface ID.

The default is MVSDB2InterfaceID.

Static

MVSDB2Version

Specifies the DB2 version of the DB2 interface. Valid values are:

  • V510

  • V610

  • V710

Static

MVSGlobalClustername

Specifies the clustername to which the SequeLink Server must register for DNS/WLM-supported Sysplex connection distribution.

Static

MVSGlobalCommandChar

Specifies the subsystem ID command recognition character that allows you to use the OS/390 modify command to issue SequeLink Operator Interface commands.

To use the subsystem ID command recognition character, the MVSGlobalSubSysID attribute must be defined.

If unspecified, SequeLink will run normally, a subsystem ID will not be used, and Operator Interface commands cannot be issued with a command character. The valid value is a defined command character.

Static

MVSGlobalCompTrace

Turns on and off tracing for server core components. Valid values are ALL or one of the following component_IDs:

  • C - Core components

  • D - DB2 component

  • L - Generic Log component

  • S - Server controller component

  • T- Threadpool component

If unspecified, no tracing will be performed.

The default is no component trace.

Static

MVSGlobalDB2Attachment

Specifies the type of DB2 attachment to be used for all services on the system. A mixture of RRSAF and CAF services is not possible.

MVSGlobalDB2Attachment=RRSAF can be used only when RRS is active. Valid values are:

  • CAF

  • RRSAF

The default is RRSAF.

NOTE: When ServiceConnectionModel=Threadpool is selected, RRSAF must be selected.

Static

MVSGlobalDescCode

Specifies the WTO descriptor code for all messages directed to a console by the message logging task. The valid value is a defined WTO descriptor code.

The default is 06.

Static

MVSGlobalID

NOTE: Set this attribute only when instructed to do so by DataDirect Technologies technical support.

An identifier to make this "section" unique. This attribute must be set to GLOBAL and must not be changed.

The default is GLOBAL.

Static

MVSGlobalRouteCode

Specifies the WTO route code for all messages directed to a console by the message logging task. The valid value is a defined WTO route code.

The default is 11.

Static

MVSGlobalSMFRecordType

Specifies the System Management Facility (SMF) record type to be used for SMF records produced by the server. Valid values are between 128 and 255.

If 0, SMF recording is turned off.

If unspecified, no SMF records are produced.

If you set this value to a positive number, you must inform the system of these records by changing the OS/390 SMF parameters in the SMFPRMxx member of the SYS1.PARMLIB data set. You can activate the collection of these records using the SET command.

The recommended value is 197.

Static

MVSGlobalSosLimit

Specifies the global short-on-storage (SOS) limit, which is the total amount of private storage (in KB) that must be available in the address space to accept further connections. If this amount of storage is unavailable, the incoming connections will be rejected. To turn this feature off, specify 0 or delete this attribute. Valid values are between 0 and 2048.

The default is 1024.

Static

MVSGlobalSubSysID

Specifies an ID that the SequeLink Server will use as a suffix to construct a unique ResourceManager name to register to RRS. This is a required parameter when MVSGlobalDB2Attachment=RRSAF.

The default is SQLK.

Static

MVSGlobalSwap

Specifies whether the server address space is swappable. Valid values are:

  • TRUE= Makes the server address space swappable.

  • FALSE= Makes the server address space unswappable.

The default is FALSE.

Static

MVSGlobalWLMEnclaves

Specifies whether the server address space will use WLM enclaves. Valid values are:

  • NONE=The server address space will not use WLM enclaves.

  • CONNECTION=One new WLM enclave is created for the duration of the connection.

  • RPC=A new WLM enclave is created for every SequeLink RPC (each network access to the SequeLink Server).

The default is NONE.

For more information about WLM integration, refer to the
SequeLink Developer’s Reference.

Static

MVSServiceAdminSecurity

Specifies the security type for the agent service. Valid values are:

  • SAFBASIC= validates the client’s user ID and password.

  • SAFRESOURCE= validates the client’s user ID and password, and its authority to access the service in administration mode. If specified, the resource name specified in MVSServiceAdminSecurityResource must be defined in the security system’s general resource class profile. The default resource class name is FACILITY. It can be overridden with the MVSSecurityAdminSecurityClass parameter, if the resource class name is defined in your security system.

The default is SAFBASIC.

Dynamic

MVSServiceAdminSecurityClass

Specifies a general resource class name to be used by the server.

The default is FACILITY.

Dynamic

MVSServiceAdminSecurityResource

Validates a connection request against the
OS/390 security system when MVSServiceAdminSecurity=SAFRESOURCE. If the attribute is not specified, the server uses the service name of the SequeLink service as the resource name to be checked.

The default is the service name.

Dynamic

MVSServiceCodePageNr

Used when ServiceCodePage=OS and the EBCDIC-coded character set in the DB2 installation is 0 (no CCSID is used). Valid values are between 1 and 65533.

The default is 37.

Dynamic

MVSServiceDB2InterfaceID

Specifies the ID of a DB2 interface. A DB2 interface is a set of parameters that describe a DB2 subsystem which can be accessed by the SequeLink Server for OS/390.

Static

MVSServiceLoadModule

Specifies the name of the load module for the service. Valid values are uppercase.

The default is VAISTHRD (for SequeLink Server for DB2 services).

Static

MVSServiceSecurity

Specifies the type of security used by the service. Valid values are:

  • SAFNONE=Allows anonymous access to a service. The user ID (UID) map (see the attribute MVSUID) used by the service must contain an entry in the format:

*=mapped_user

where * is a wildcard for any user and mapped_user is a valid DB2 authorization ID.

  • SAFBASIC=Validates the client’s user ID and password. If successful, access to the SequeLink service is allowed.

  • SAFRESOURCE=Validates the client’s user ID and password, and its authority to access a service by verifying that the user has access to a resource defined in a specific resource class. The default resource class name is FACILITY, and the default resource name is the name of the service. The resource class name to be used can be overridden by specifying the MVSServiceSecurityClass attribute. The resource name to be used can be overridden by specifying the MVSServiceSecurityResource attribute.

The default is SAFBASIC.

For more information about configuring SequeLink security, refer to the SequeLink Administrator's Guide.

Static

MVSServiceSecurityClass

Specifies a general resource class name used by the SequeLink Server when MVSServiceSecurity=SAFRESOURCE.

The default is FACILITY.

Dynamic

MVSServiceSecurityResource

If this attribute is set to SAFRESOURCE, the resource name is used to validate a connection request against the OS/390 security system. If the attribute’s value is blank or an empty string, the server uses the service name as the resource name to be checked.

The default is the service name.

Dynamic

MVSServiceUIDMap

Specifies the name of a user ID (UID) map. The valid value is a defined UIDMap name.

The default is an empty string.

Dynamic

MVSUID

Specifies an entry in the user ID (UID) map. The format of this entry is: user=mapped_user or *=mapped_user, where:

  • user is a valid user or user group for the OS/390 security system

  • * is a wildcard for any user

  • mapped_user is a valid DB2 authorization ID

*=mapped_user is required when anonymous authentication is configured for the OS/390 server (ServiceAuthMethods=Anonymous and MVSServiceSecurity=SAFNONE).

Dynamic

MVSUIDDefaultAccess

Specifies the default action for a user ID (UID) map. Valid values are:

  • PERMIT= If user ID mapping is set for the SequeLink service and the user ID cannot be found in the UID map, the connection is accepted.

  • DENY= If user ID mapping is set for the SequeLink service and the user ID cannot be found in the UID map, the connection is refused.

Dynamic

MVSUIDMapDescription

Specifies a general description of the user ID (UID) mapping table. The valid value is a defined user ID map name.

Dynamic

ServiceAdminAuthMethods

Specifies one or multiple authentication mechanisms that the SequeLink Manager can use to authenticate itself to the server. Valid values are:

  • Anonymous

  • integrated_nt

  • OSLogon(UID,PWD)

For more information about SequeLink security features, refer to the SequeLink Administrator's Guide.

Dynamic

ServiceAdministrator

Sets authorization for users who are allowed to manage SequeLink services using the SequeLink Manager.

NOTES:

  • On Windows NT/Windows 2000/Windows XP, users who are allowed to manage SequeLink services using the SequeLink Manager must have administrator rights.

  • On Windows NT/Windows 2000/Windows XP and UNIX, specify everyone when ServiceAuthMethod=anonymous.

Valid values for the ServiceAdministrator attribute are:

  • user_name= the user ID of a user who is allowed to use the SequeLink Manager. To configure authorization for multiple users, you must set this attribute multiple times, one instance of the attribute for each user. For example:

ServiceAdministrator=RSMITH

ServiceAdministrator=DJONES

ServiceAdministrator=TCONRAD

NOTE: On Windows servers, you must prefix the user ID with the Windows server name or the Windows domain name, for example, SALES\DJONES. When connecting, the user must also prefix the user ID with the Windows server name, if connecting to a local server, or the Windows domain name.

When connecting, the user must also prefix the user ID with the Windows server name, if connecting to a local server, or the Windows domain name.

NOTE: Alternatively, you can set the ServiceAdministratorGroup attribute to configure authorization for groups of users defined on Windows or UNIX. For more information about configuring authorization for user groups on Windows and UNIX, refer to
“ServiceAdministratorGroup” in the SequeLink Administrator's Guide.

  • authenticated= any user who can provide a valid host user ID and password or who uses Integrated authentication will receive the same authorization.

  • everyone= all connections will receive the same authorization level, regardless of how they are authenticated.

For more information about configuring SequeLink security, refer to the SequeLink Administrator's Guide.

Dynamic

ServiceAdministratorGroup

Sets authorization for defined Windows NT/Windows 2000/Windows XP, and UNIX user groups who are allowed to manage SequeLink services using the SequeLink Manager. Valid values are user groups defined on Windows or UNIX.

To configure authorization for multiple user groups, you must set the ServiceAdministrator attribute multiple times, one time for each user group. For example:

ServiceAdministratorGroup=SLUSERG1

ServiceAdministratorGroup=SLUSERG2

ServiceAdministratorGroup=SLUSERG3

NOTE: On Windows servers, you must prefix the user group ID with the Windows server name or the Windows domain name where the group is defined, for example, SALES\SLUSERG1.

For more information about configuring SequeLink security, refer to the SequeLink Administrator's Guide.

Dynamic

ServiceAuthMethods

Specifies one or multiple authentication mechanisms the service accepts. The client must select the supported mechanism to authenticate itself to the server. Valid values are:

Windows NT, Windows 2000, Windows XP

  • Anonymous

  • integrated_nt

  • OSLogon(UID,PWD)

  • OSLogon(HUID,HPWD)

  • OSLogon(UID,PWD,NPWD)

  • OSLogon(HUID,HPWD,NPWD)

UNIX

  • Anonymous

  • OSLogon(UID,PWD)

  • OSLogon(HUID,HPWD)

OS/390

  • Anonymous

  • OSLogon(UID,PWD)

  • OSLogon(HUID,HPWD)

  • OSLogon(UID,PWD,NPWD)

  • OSLogon(HUID,HPWD,NPWD)

For more information about configuring SequeLink security, refer to the SequeLink Administrator's Guide.

Dynamic

ServiceAuthorizedAdminClient

Specifies one or multiple client TCP/IP network identifiers that are allowed to access the service using an administrator client. Use configuration values to limit the clients that are allowed administrative connections to the agent service.

The attribute supports both address and name formats as shown in the following examples:

Client TCP/IP host name | burner.ddtek.com
Client TCP/IP domain names through the use of a wild card | 192.16.2.* or *.ddtek.com
Client TCP/IP address | 127.0.0.1
Client TCP/IP address range | 192.16.*.*

NOTE: When using host names, ServiceResolveHostNames must be set to True, and only primary domain names can be used.

Dynamic

ServiceAuthorizedClient

Specifies one or multiple client TCP/IP network identifiers that are allowed to access the service using an ODBC, JDBC, or ADO/OLE DB client application. Use configuration values to limit the number of clients that are allowed data access connections to data access services.

The attribute supports both address and name formats as shown in the following examples:

Client TCP/IP host name | burner.ddtek.com
Client TCP/IP domain names through the use of a wild card | 192.16.2.* or *.ddtek.com
Client TCP/IP address | 127.0.0.1
Client TCP/IP address range | 192.16.*.*

NOTE: When using host names, ServiceResolveHostNames must be set to True, and only primary domain names can be used.

Dynamic

ServiceCancelEnabled

Specifies whether cancelling connection requests using SQLCancel is supported. Valid values are:

  • TRUE= yes

  • FALSE= no

The default is TRUE.

Static

ServiceCatchExceptions

Specifies how the SequeLink service will handle exceptions. Valid values are:

  • TRUE= The service will attempt to recover from unexpected exceptions.

  • FALSE= The exception is passed to the operating system resulting in an error or core dump.

The default is TRUE.

Static

ServiceCodePage

Controls transliteration for the SequeLink service. Valid values are:

  • Default= SequeLink supports only standard ASCII/EBCDIC transliteration for ODBC and OLE DB/ADO clients.

  • OS= The client transliterates character data from the code page the SequeLink service is using to the code page of the client application/system.

The default is Default.

The type is dependent on the operating system:

  • On Windows NT/Windows 2000/Windows XP and UNIX, the type is Dynamic.

  • On OS/390, the type is Static.

Dynamic

ServiceConnectInfo

Specifies the TCP/IP port on which the service is listening for connection requests. The port is specified using the format:

tcp://host.port

where host is the name of the host on which the SequeLink service runs, and port is an available TCP/IP port.

Static

ServiceConnectionModel

Specifies the connection model to be used for connections to the SequeLink service. Valid values are:

  • ThreadPool= A pool of threads is created with ServiceMinThreads prestarted threads and maximum ServiceMaxThreads threads. This thread pool is used to service client connection requests.

  • Process/Connection= SequeLink creates a separate OS process to service client connection requests. (Not valid for OS/390)

  • Thread/Connection= SequeLink creates a separate thread for each client connection request.

The default is ThreadPool.

Static

ServiceDB2MaxThreads

Limits the number of DB2 threads used by the SequeLink DB2 service. This value must be higher than the value of the ServiceMaxThreads parameter and lower than the value of the MAX_BATCH_CONNECT parameter in the Thread Management panel (DSNTIPE) of the DB2 installation.

A value of 0 means that the number of threads will not be limited by the SequeLink DB2 service.

The default is 0.

Dynamic

ServiceDB2MaxTransactions

Specifies the number of DB2 transactions that a DB2 thread is allowed to service before it is closed. This ensures that when the DB2 thread terminates, the locks set on temporary tables are released.

A value of 0 means that the DB2 thread is not terminated.

The default is 0.

Dynamic

ServiceDB2MinThreads

Specifies the number of reusable DB2 threads that will not be released by the release timer routine or by the RRS RELEASE operator command.

A value of 0 means that all reusable DB2 threads that exceed an age of 300 seconds will be released.

The default is 0.

Dynamic

ServiceDeadClntDetInt

Specifies the interval in seconds between requests that are sent from the SequeLink Server to the SequeLink Client to verify the availability of the SequeLink Client. Valid values are 0 and from 61 to 1000000.

A value of 0 disables the dead client detection feature.

The default is 600.

Static

ServiceDebugLogLevel

Specifies the level of detail for messages logged in the debug log file. One or multiple message levels can be enabled/disabled. Valid values are:

  • Fatal

  • Error

  • Warnings

  • Information

  • Debug

  • SSP Packet log

  • SSP Requests

The default is Fatal.

NOTE: The value of this attribute is a bitmask with each bit having the following decimal values when turned on:

Fatal | Bit 0=1
Error | Bit 1=2
Warnings | Bit 2=4
Information | Bit 3=8
Debug | Bit 4=16
SSP Packet Log | Bit 5=32
SSP Requests | Bit 6=64

If you set this attribute using a SequeLink Manager command that prompts for a decimal value, such as the ServiceAttributeReplace command, the value you set must equal the total decimal value of the bits you want to turn on. For example, if you want to turn all bits on, meaning all options would be logged, you would set the attribute to 127 (1+2+4+8+16+32+64=127). To turn off all bits, set the attribute to 0.

Dynamic

ServiceDebugLogPath

Specifies the directory where debug log files are written.

On Windows NT/Windows 2000/Windows XP and UNIX: Contains the directory in which debug log files will be written.

On OS/390: Specifies a UNIX System Services HFS directory to which Log files will be written.

The default directory is /tmp,

Static

ServiceDescription

Specifies a general description of the SequeLink service.

Static

ServiceDetailedOSLogonErrors

Specifies what type of error will be returned when the OSLogon based authentication fails. Valid values are:

  • TRUE= a detailed error will be returned.

  • FALSE= a generic error will be returned.

The default is TRUE.

Dynamic

ServiceEncryptionAlgorithm

Specifies the data scrambling algorithm used when sending requests or replies across the network between client and server. Valid values are:

  • None

  • DES

  • 3DES

  • Byteswap

The default is None, which means clear text.

For more information about configuring SequeLink security, refer to the SequeLink Administrator's Guide.

Static

ServiceEnvironmentVariable

Specifies a list of variables that will be set before the SequeLink service is started. The syntax for valid values is

varname=value

For example, ORACLE_SID=ORA8i.

To define more than one variable, you must add more than one instance of the attribute to your service.

Static

ServiceEventTraceLocation

Specifies the directory where the event trace file is located. The valid value is an existing directory.

The default is an empty string.

Static

ServiceEventTraceSize

Specifies the size (in bytes) of the event trace file. Valid values are between 10000 and 2000000000.

The default is 1000000.

Static

ServiceEvQGetNrEventsMax

Specifies the number of events to get from the event queue in one read operation.

The default is 10.

NOTE: Set this attribute only when instructed to do so by DataDirect Technologies technical support.

Static

ServiceEvQPingTimeout

Specifies the timeout (in milliseconds) the SequeLink Agent will wait for a SequeLink data access service response while determining whether the service is started.

The default is 1000.

Static

ServiceEvQShmMonitorSize

Specifies the size of the shared memory segment (in bytes) to be used for the shared monitor counters. The shared monitor counters are monitor values that are accessible using the Windows NT performance monitor integration.

The default is 4096.

Static

ServiceEvQShmQMaxResend

Specifies the number of attempts while sending errors on the event queue before generating a fatal error.

The default is 5.

Static

ServiceEvQShmQSize

Specifies the size of the shared memory segment for the event queue. The event queue is used as a communication path between SequeLink services.

The default is 65536.

Static

ServiceEvQShmQWaitResend

Specifies the time, in milliseconds, to wait between successive attempts to send events on the event queue.

The default is 50.

NOTE: Set this attribute only when instructed to do so by DataDirect Technologies technical support.

Static

ServiceExecPath

Specifies the path of a SequeLink Server executable and is used differently depending on platform. The valid value is a defined location of a SequeLink server executable.

  • On Windows NT/Windows 2000/Windows XP: The value of the ServiceExecPath is used when registering the service.

  • On UNIX: The value of ServiceExecPath is used by the SequeLink Agent when starting the service.

Do not alter this attribute.

Static

ServiceExecPath2

Specifies the path of a SequeLink server executable to start by SequeLink service starter. The valid value is a defined location of a SequeLink server executable.

Static

ServiceHost

Specifies the name of the host on which the SequeLink service is installed.

Dynamic/Static

ServiceIIOPObjectKey

NOTE: Set this attribute only when instructed to do so by DataDirect Technologies technical support.

Specifies IIOP object key in IIOP header.

The default is IIOP:slx::.

Static

ServiceIIOPOperationTarget

NOTE: Set this attribute only when instructed to do so by DataDirect Technologies technical support.

Specifies IIOP operation target in IIOP header.

The default is SSP.

Static

ServiceINFMaxNrActStat

Specifies the maximum number of active statements that are allowed for each connection to an Informix database.

The default is 250.

Dynamic

ServiceInternalTimeout

Specifies the number (in milliseconds) that thread pool synchronization actions block before generating an internal error. Valid values are positive numbers.

The default is 60000.

Static

ServiceLanguage

Specifies the language to be used for SequeLink messages. The only valid value and the default is 1= English.

Static

ServiceMaxSessions

Specifies the maximum number of sessions a multithreaded SequeLink Server will accept.

On OS/390, verify that this parameter does not exceed the value of MAXFILEPROC in BPXPRMxx. The MAXFILEPROC parameter can be changed dynamically.

  • On Windows and UNIX, the default value is 0. A value of 0 means an unlimited number of sessions is accepted.

  • On OS/390, services are created with a value of 2000.

Dynamic

ServiceMaxThreads

The maximum number of threads that can be started in the thread pool. This attribute is ignored when ServiceConnectionModel is set to Thread/Connection or ProcessConnection.

Valid values are:

  • For DB2 on OS/390, valid values are from 6 to 256.

  • For DB2 UDB on AIX, valid values are from 6 to 512.

  • For all others, valid values are from 6 to 64000.

On Windows NT/Windows 2000/Windows XP and UNIX, the default is 64.

Static

ServiceMessageFile

Specifies the location of the service message file:

  • On Windows NT/Windows 2000/Windows XP: The valid value is the path to a resource only DLL.

  • On UNIX: The valid value is the path to a .cat file.

Static

ServiceMinThreads

The number of pre-started threads that will be started in the thread pool. The value should be equal to or less than the value of ServiceMaxThreads. This attribute is ignored when ServiceConnectionModel is set to Thread/Connection or ProcessConnection.

Valid values are:

  • For DB2 on OS/390, valid values are from 6 to 256.

  • For DB2 UDB on AIX, valid values are from 6 to 512.

  • For all others DBMSs, valid values are from 6 to 64000.

On Windows NT/Windows 2000/Windows XP and UNIX: the default is 8.

Static

ServiceMSSMergeXaBranches

On SQL Server, enables the application to merge all XA branches as one transaction branch, emulating tightly coupled branch transactions. When disabled, multiple connections within the same distributed transaction do not obey each other’s locks.

Valid values are:

  • TRUE=SequeLink merges all XA branches as one transaction branch.

  • FALSE=All XA branches are kept separately.

The default is FALSE.

Static

ServiceName

Specifies the name of the service to be specified during service creation. After a service is created, the name of a service cannot be changed.

Dynamic for newly-created services; read-only for existing services

ServiceORASerializeLogon

Specifies whether all Oracle API calls that are executed to establish a connection with the Oracle database are serialized. Valid values are:

  • TRUE= yes

  • FALSE= no

The default is TRUE.

Static

ServiceRegisterTCPPort

Specifies whether the TCP/IP port will registered automatically in the operating systems services file (/etc/services on UNIX or %SystemRoot%\system32\drivers\etc\services on Windows NT/Windows 2000/Windows XP, for example).

  • TRUE= The TCP/IP port used by the SequeLink service will be registered automatically in the operating system services file.

  • FALSE= The TCP/IP port used by the SequeLink service will not be registered automatically in the operating system services file

The default is FALSE.

Static

ServiceResolveHostNames

Specifies how host names are resolved. Valid values are:

  • TRUE= Information about connected clients is displayed using symbolic system names.

  • FALSE= Information about connected clients is displayed in an IP format.

The default is FALSE.

Dynamic

ServiceTCP1stRecvTimeLimit

Maximum amount of time (in seconds) the server will wait to receive the first network packet.

The default is 30.

NOTE: Set this attribute only when instructed to do so by DataDirect Technologies technical support.

Static

ServiceThreadLockThreshold

Specifies a percentage of the value of ServiceMaxThreads. When the number of active thread is less than ServiceThreadLockThreshold% of ServiceMaxThreads, a connection that has executed more rpc’s than DataSourceThreadMaxRpc on the current thread is allowed to lock this thread for another DataSourceThreadRpcTimeOut period. This attribute is required only when ServiceConnectionModel=Threadpool (see "ServiceConnectionModel” for more information).

Valid values are from 0 to 50.

The default is 0. The thread switching mechanism is disabled, improving performance in times of low system activity.

Dynamic

ServiceUnixSyslogFacility

Facility with which all SequeLink syslog messages are logged. Valid values are:

  • USER

  • LOCAL0-LOCAL7

The default is USER.

Dynamic

ServiceUser

Sets authorization for users who are allowed to access the service for data access.

On Windows NT/Windows 2000/Windows XP and UNIX: Specify everyone when ServiceAuthMethods=anonymous. To configure authorization for multiple users, you must set the ServiceUser attribute for each user. Valid values are:

  • user_id= The user ID of a user who is allowed to use the SequeLink service. To configure authorization for more than one user, you must configure this attribute multiple times, one instance for each user.

NOTES:

    • On Windows servers, you must prefix the user ID with the Windows server name or the Windows domain name, for example, SALES\DJONES.

    • Alternatively, you can set the ServiceUserGroup attribute to configure authorization for groups of users defined on Windows NT/Windows 2000/Windows XP or UNIX.

  • authenticated= Any user who can provide a valid host user ID and password or who uses Integrated authentication will receive the same authorization.

  • everyone= All connections will receive the same authorization level, regardless of how they are authenticated.

For more information about configuring SequeLink security, refer to the SequeLink Administrator's Guide.

Dynamic

ServiceUserGroup

Sets authorization for defined Windows and UNIX user groups who are allowed to access the service for data access. Valid values are user groups defined on Windows or UNIX.

To configure authorization for multiple user groups, you must set the ServiceAdministrator attribute multiple times, one time for each user group. For example:

ServiceUserGroup=SLUSERG1

ServiceUserGroup=SLUSERG2

ServiceUserGroup=SLUSERG3

NOTE: On Windows servers, you must prefix the user group ID with the Windows server name or the Windows domain name where the user group is defined, for example, SALES\SLUSERG1.

For more information about configuring SequeLink security, refer to the SequeLink Administrator's Guide.

Dynamic